FROM registry.cn-shenzhen.aliyuncs.com/emblem/baseimg:2025041707-4bc3e34
RUN mkdir -p /emblem
# TODO: use new base image that has these
RUN apt-get update && apt-get install -y libglib2.0-0t64 libgl1
RUN mkdir -p /emblem/ai
ADD . /emblem/ai/
RUN bash -c 'source /venv/bin/activate && pip install -i https://mirrors.ustc.edu.cn/pypi/simple loguru tqdm'
CMD bash -c 'source /venv/bin/activate && cd /emblem/ai && python3 server.py'